;;; vars.scm --- assorted variables

;; Copyright (C) 2020 Michael Herstine <sp1ff@pobox.com>

;; This program is free software: you can redistribute it and/or modify it under the terms of the
;; GNU General Public License as published by the Free Software Foundation; either version 3 of the
;; License, or (at your option) any later version.

;; This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
;; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
;; the GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License along with this program. If
;; not, see https://www.gnu.org/licenses/.

;;; Code:

(define-module (magic vars)
  #:export (%magic-version %magic-semver %magic-datadir))

;; guile-magic version (textual)
(define %magic-version "1.0.0")

;; guile-magic version as a list of three integers (major, minor, patch)
(define %magic-semver
  (list-head (map string->number (string-split %magic-version #\.)) 3))

;; "The directory for installing idiosyncratic read-only architecture-independent data as configured
;; when guile-magic was built.
(define %magic-datadir "/usr/local/share")

;;; vars.scm ends here.
